raek
2k
2019-08-11 14:55:37
2
65

git story 설치 에러 질문이요


안녕하세요 현재 gitbash를 열고 쉘창에

gitstory를 설치하려고 하는데 

아래와 같은 에러가 발생합니다.

그래서 똑같이 쳤는데도 풀고하고

Consider using the `--user` option or check the permissions.

이라고 뜨면서 유저 옵션 또는 허가를 체크하는걸 고려해 보라네요..


Teak@DESKTOP-DAUVOQR MINGW64 ~ (master)
$ pip install gitstory
Collecting gitstory
  Could not find a version that satisfies the requirement gitstory (from versions: )
No matching distribution found for gitstory
You are using pip version 19.0.3, however version 19.2.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

Teak@DESKTOP-DAUVOQR MINGW64 ~ (master)
$ python -m pip install --upgrade pip
Collecting pip
  Using cached https://files.pythonhosted.org/packages/62/ca/94d32a6516ed197a491d17d46595ce58a83cbb2fca280414e57cd86b84dc/pip-19.2.1-py2.py3-none-any.whl
Installing collected packages: pip
  Found existing installation: pip 19.0.3
    Uninstalling pip-19.0.3:
Could not install packages due to an EnvironmentError: [WinError 5] ▒׼▒▒▒▒▒ ▒źεǾ▒▒▒▒ϴ▒: 'c:\\programdata\\anaconda3\\lib\\site-packages\\pip-19.0.3.dist-info\\entry_points.txt'
Consider using the `--user` option or check the permissions.

You are using pip version 19.0.3, however version 19.2.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

Teak@DESKTOP-DAUVOQR MINGW64 ~ (master)
$ pip install --upgrade pip
Collecting pip
  Using cached https://files.pythonhosted.org/packages/62/ca/94d32a6516ed197a491d17d46595ce58a83cbb2fca280414e57cd86b84dc/pip-19.2.1-py2.py3-none-any.whl
Installing collected packages: pip
  Found existing installation: pip 19.0.3
    Uninstalling pip-19.0.3:
Could not install packages due to an EnvironmentError: [WinError 5] ▒׼▒▒▒▒▒ ▒źεǾ▒▒▒▒ϴ▒: 'c:\\programdata\\anaconda3\\lib\\site-packages\\pip-19.0.3.dist-info\\entry_points.txt'
Consider using the `--user` option or check the permissions.

You are using pip version 19.0.3, however version 19.2.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

Teak@DESKTOP-DAUVOQR MINGW64 ~ (master)
$ pip3 install --upgrade pip
Collecting pip
  Using cached https://files.pythonhosted.org/packages/62/ca/94d32a6516ed197a491d17d46595ce58a83cbb2fca280414e57cd86b84dc/pip-19.2.1-py2.py3-none-any.whl
Installing collected packages: pip
  Found existing installation: pip 19.0.3
    Uninstalling pip-19.0.3:
Could not install packages due to an EnvironmentError: [WinError 5] ▒׼▒▒▒▒▒ ▒źεǾ▒▒▒▒ϴ▒: 'c:\\programdata\\anaconda3\\lib\\site-packages\\pip-19.0.3.dist-info\\entry_points.txt'
Consider using the `--user` option or check the permissions.

You are using pip version 19.0.3, however version 19.2.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.


혹시나해서

pip install --upgrade pip

pip3 install --upgrade pip 로 했는데 안되네요


긜고

https://potensj.tistory.com/73

여기 있는데로 이런식으로

$ python3 -m pip install --user gitstory

입력해도 커맨드를 발견할수 없다고 안되네요



참고로 제 파이썬 버전과 위치는 아래와 같습니다.

C:\Users\Teak>python -V

Python 3.7.1


C:\Users\Teak>where python

C:\ProgramData\Anaconda3\python.exe

0
0
  • 답변 2

  • dohyeong
    517
    2019-08-11 16:41:36

    pip에 gitstory는 없군요. gistory를 원하시나요?

    0
  • raek
    2k
    2019-08-11 19:48:13

    dohyeong

    감사합니다 gistory 였군요 ..

    0
  • 로그인을 하시면 답변을 등록할 수 있습니다.